.. _remote-directory:

****************
Remote directory
****************

If you have a phone provisioned with XiVO and its one of the supported ones, you'll be able to search in your XiVO directory and place call directly
from your phone.

See the list of `supported devices <https://documentation.xivo.solutions/projects/devices/en/latest/devices/official_devices.html>`_ to know if a model supports the XiVO directory or not.


Configuration
=============

For the remote directory to work on your phones, the first thing to do is to go to the
:menuselection:`Services --> IPBX --> (General settings) Phonebook` page.

You then have to add the range of IP addresses that will be allowed to access the directory.
So if you know that your phone's IP addresses are all in the 192.168.1.0/24 subnet, just
click on the small "+" icon and enter "192.168.1.0/24", then save.

Once this is done, on your phone, just click on the "remote directory" function key and
you'll be able to do a search in the XiVO directory from it.
